Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Interface ExceptionHandler

All Known Implementing Classes:
  DefaultExceptionHandler

    public interface ExceptionHandler

Interface to an exception-handling object.

Method Summary
`void` | `handleConfirmListenerException(Channel channel, java.lang.Throwable exception)` Perform any required exception processing for the situation when the driver thread for the connection has called a ConfirmListener's handleAck or handleNack method, and that method has thrown an exception.
`void` | `handleConsumerException(Channel channel, java.lang.Throwable exception, Consumer consumer, java.lang.String consumerTag, java.lang.String methodName)` Perform any required exception processing for the situation when the driver thread for the connection has called a method on a Consumer, and that method has thrown an exception.
`void` | `handleFlowListenerException(Channel channel, java.lang.Throwable exception)` Perform any required exception processing for the situation when the driver thread for the connection has called a FlowListener's handleFlow method, and that method has thrown an exeption.
`void` | `handleReturnListenerException(Channel channel, java.lang.Throwable exception)` Perform any required exception processing for the situation when the driver thread for the connection has called a ReturnListener's handleReturn method, and that method has thrown an exception.
`void` | `handleUnexpectedConnectionDriverException(Connection conn, java.lang.Throwable exception)` Perform any required exception processing for the situation when the driver thread for the connection has an exception signalled to it that it can't otherwise deal with.

Method Detail

### handleUnexpectedConnectionDriverException

    void handleUnexpectedConnectionDriverException(Connection conn,
                                                   java.lang.Throwable exception)

  Perform any required exception processing for the situation when the driver thread for the connection has an exception signalled to it that it can't otherwise deal with.

  Parameters:
    `conn` - the Connection that caught the exception
    `exception` - the exception caught in the driver thread

### handleReturnListenerException

    void handleReturnListenerException(Channel channel,
                                       java.lang.Throwable exception)

  Perform any required exception processing for the situation when the driver thread for the connection has called a ReturnListener's handleReturn method, and that method has thrown an exception.

  Parameters:
    `channel` - the ChannelN that held the ReturnListener
    `exception` - the exception thrown by ReturnListener.handleReturn

### handleFlowListenerException

    void handleFlowListenerException(Channel channel,
                                     java.lang.Throwable exception)

  Perform any required exception processing for the situation when the driver thread for the connection has called a FlowListener's handleFlow method, and that method has thrown an exeption.

  Parameters:
    `channel` - the ChannelN that held the FlowListener
    `exception` - the exception thrown by FlowListener.handleFlow

### handleConfirmListenerException

    void handleConfirmListenerException(Channel channel,
                                        java.lang.Throwable exception)

  Perform any required exception processing for the situation when the driver thread for the connection has called a ConfirmListener's handleAck or handleNack method, and that method has thrown an exception.

  Parameters:
    `channel` - the ChannelN that held the ConfirmListener
    `exception` - the exception thrown by ConfirmListener.handleAck

### handleConsumerException

    void handleConsumerException(Channel channel,
                                 java.lang.Throwable exception,
                                 Consumer consumer,
                                 java.lang.String consumerTag,
                                 java.lang.String methodName)

  Perform any required exception processing for the situation when the driver thread for the connection has called a method on a Consumer, and that method has thrown an exception.

  Parameters:
    `channel` - the ChannelN that held the Consumer
    `exception` - the exception thrown by the Consumer
    `consumer` - the Consumer that caused the fault
    `consumerTag` - the Consumer's consumerTag
    `methodName` - the name of the method on the Consumer that threw the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD